CONWAY(1)

NAME
conway - Conway Notation transformations

SYNOPSIS
conway [options] [Conway Notation string] [input_file]

DESCRIPTION
Conway Notation uses algorithms by George W. Hart (http://www.georgehart.com) http://www.georgehart.com/virtual-polyhedra/conway_notation.html

Read a polyhedron from a file in OFF format. If input_file is not given and no seed polyhedron is given in the notation string then the program reads from standard input.

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-H  Conway Notation detailed help. seeds and operator descriptions

-d  don't simplify Conway Notation string

-r  execute operations in reverse order (left to right)

-t  use truncate algorithm instead of simplifying to "dkd"

    also used in ambo as a truncation of 1/2

-u  make final product be averge unit edge length

-v  verbose output

-o <file> write output to file (default: write to standard output)

Canonicalization and Planarization options

-p <mthd> inter-step planarization method

    p - conway notation planarize (face centroids reciprocal) (default) q - conway notation planarize (face centroids magnitude reciprocal) l - mathematica version of planarize

-c <mthd> canonicalize final product using:

    n - conway notation version of canonicalization m - mathematica version of canonicalization or planarize final product with p, q or l above

-n <itrs> maximum number canonical iterations (default: no limit)

-l <lim>
    minimum distance change to terminate canonicalization, as negative

    exponent (default: 12 giving 1e-12)

-i <itrs> maximum inter-step planarization iterations (default: no limit)

    i = 0, no inter-step planarization

-z <n>
    status reporting every n iterations, -1 for no status (default: -1)

Coloring Options (run 'off_util -H color' for help on color formats)

-V <col>
    vertex color

-E <col>
    edge color

-f <mthd> mthd is face coloring method using color in map

    key word: none - sets no color (default: n) n - color by number of sides s - symmetric coloring

-T <tran> face transparency. valid range from 0 (invisible) to 255 (opaque)

-O <strg> face transparency pattern string. valid values

    0 - map color alpha value, 1 -T alpha applied (default: '1')

-m <maps> color maps for faces to be tried in turn (default: m1)

    keyword m1: red,darkorange1,yellow,darkgreen,cyan,blue,magenta,

    white,grey,black

    keyword m2: red,blue,green,yellow,brown,magenta,purple,grue,

    gray,orange (from George Hart's original applet)

SEE ALSO
The full documentation for conway is maintained as a Texinfo manual. If the info and conway programs are properly installed at your site, the command

    info conway

should give you access to the complete manual.